Bug 1294651 - Cannot change name of imported VM from VMware
Cannot change name of imported VM from VMware
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.3
: 3.6.3
Assigned To: Arik
meital avital
:
Depends On:
Blocks: 1294501
  Show dependency treegraph
 
Reported: 2015-12-29 07:44 EST by Arik
Modified: 2016-02-18 06:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:05:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51142 master MERGED core: change vm name on import from vmware 2015-12-30 02:51 EST
oVirt gerrit 51175 ovirt-engine-3.6 MERGED core: change vm name on import from vmware 2015-12-31 10:30 EST

  None (edit)
Description Arik 2015-12-29 07:44:20 EST
Description of problem:
If we want to import VM that is called X in VMware and for the imported VM to be called Y in oVirt, the import-VM dialog allows us to modify the name of the VM, however this conversion will most probably fail and in the worse case, if there is a VM with that name in vSphere, we will import the wrong VM.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Load VMs from VMware
2. Change the name of a VM that is going to be imported in the import dialog to a name that doesn't match the name of any VM in VMware.
3.

Actual results:
Conversion fail, a VM with the new name does not exist in VMware

Expected results:
The conversion should succeed, the VM in oVirt should be with the modified name

Additional info:
We need to differentiate the name that the VM is going to have and the original name of the VM and to use the original one in the conversion.
Comment 1 meital avital 2016-02-08 11:27:10 EST
Verified on :
rhevm-3.6.3-0.1.el6
libvirt-client-1.2.17-13.el7_2.2.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.4.x86_64
vdsm-4.17.19-0.el7ev.noarch

Steps:
1)Import VM with new name.
2)Import VM and change the name to a name that match other VM name in VMware. and verified that the VM imported is the one that was selected and not the one with the same name.

Note You need to log in before you can comment on or make changes to this bug.